Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.netobjects
Class Node2Key

    java.lang.Object
      scone.netobjects.TableRecord
          scone.netobjects.Node2Key

All Implemented Interfaces:
  Cacheable

    public class Node2Key

extends TableRecord

a `Link` represents a links-set from the database

Author:
  Harald Weinreich, Volkert Buchmann

Field Summary
`static java.lang.String` | `COPYRIGHT`
`protected static DBTableAdapter` | `dbTable`
`protected Keyword` | `keyword`
`protected NetNode` | `node`

Fields inherited from class scone.netobjects.TableRecord
`ctei, date, fieldValues, hasChanged, hasRecordInDB, persistent`

Constructor Summary
`Node2Key(NetNode node, Keyword keyword)`

Method Summary
`java.lang.Object` | `getKey(int KeyNo)` returns the hashkey for this object (to be deprecated!)
`Keyword` | `getKeyword()`
`java.lang.String` | `getKeywordId()`
`NetNode` | `getNode()`
`java.lang.String` | `getNodeId()`
`void` | `store()` writes a persistent representation of the object to the storage.

Methods inherited from class scone.netobjects.TableRecord
`isPersistent, now, setCacheTableEntryInterface, setChanged, setPersistent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

### dbTable

    protected static DBTableAdapter dbTable

### node

    protected NetNode node

### keyword

    protected Keyword keyword

Constructor Detail

### Node2Key

    public Node2Key(NetNode node,
                    Keyword keyword)

Method Detail

### getKeywordId

    public java.lang.String getKeywordId()

### getNodeId

    public java.lang.String getNodeId()

### getKeyword

    public Keyword getKeyword()

### getNode

    public NetNode getNode()

### store

    public void store()

  Description copied from interface: `Cacheable`
  writes a persistent representation of the object to the storage. For example the scone database.

### getKey

    public java.lang.Object getKey(int KeyNo)

  Description copied from interface: `Cacheable`
  returns the hashkey for this object (to be deprecated!)

  Specified by:
    `getKey` in interface `Cacheable`
  Specified by:
    `getKey` in class `TableRecord`
  Parameters:
    `KeyNo` - the number of the key to be generated
  Returns:
    the Key(s) corresponding to the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD